Get Target Release Versions

Get Target Release Versions

Get applicable release target versions

Request
URI
GET
https://vcf.broadcom.com/fleet-lcm/v1/release-versions/target-versions
COPY
Query Parameters
integer
pageNumber
Optional
Constraints: default: 1

Page Number (1-based, defaults to 1)

integer
pageSize
Optional

Page Size. Maximum allowed is 100


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns PageOfReleaseVersions of type(s) application/json
{
    "elements": [
        {
            "components": [
                {
                    "publicName": "publicName",
                    "versions": [
                        "versions",
                        "versions"
                    ],
                    "type": "OPS"
                },
                {
                    "publicName": "publicName",
                    "versions": [
                        "versions",
                        "versions"
                    ],
                    "type": "OPS"
                }
            ],
            "version": "version"
        },
        {
            "components": [
                {
                    "publicName": "publicName",
                    "versions": [
                        "versions",
                        "versions"
                    ],
                    "type": "OPS"
                },
                {
                    "publicName": "publicName",
                    "versions": [
                        "versions",
                        "versions"
                    ],
                    "type": "OPS"
                }
            ],
            "version": "version"
        }
    ],
    "pageMetadata": {
        "pageNumber": 5,
        "totalPages": 7,
        "pageSize": 5,
        "totalElements": 2
    }
}
array of object
elements
Optional

Defines a release version

object
pageMetadata
Optional

Retrieves the parameters needed to help pagination on client.


401

Unauthorized

Returns ErrorResponse of type(s) application/json
{
    "code": "code",
    "detail": "detail",
    "message": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "resolution": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "referenceId": "referenceId",
    "timestamp": "2000-01-23T04:56:07.000Z"
}
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


500

Internal Server Error

Returns ErrorResponse of type(s) application/json
{
    "code": "code",
    "detail": "detail",
    "message": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "resolution": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "referenceId": "referenceId",
    "timestamp": "2000-01-23T04:56:07.000Z"
}
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/fleet-lcm/v1/release-versions/target-versions